require 'spec_helper'

describe 'dcm4chee::install' do
  let(:params) { {:prefix => '/usr/local'} }
  before do
    @prefix = '/usr/local/dcm4chee-2.17.1-mysql'
  end

  it { should contain_file('/usr/local').with(
    :ensure => 'directory',
    :owner  => 'root',
    :group  => 'root',
    :mode   => '0644'
  )}

  it { should contain_class('dcm4chee::jboss').with(
    :prefix  => '/usr/local',
    :require => 'File[/usr/local]',
    :before  => 'Class[Dcm4chee::Dcm4chee]'
  )}

  it { should contain_class('dcm4chee::dcm4chee_arr').with(
    :prefix  => '/usr/local',
    :require => 'File[/usr/local]',
    :before  => 'Class[Dcm4chee::Dcm4chee]'
  )}

  it { should contain_class('dcm4chee::dcm4chee').with(
    :prefix               => '/usr/local',
    :jboss_basedir        => '/usr/local/jboss-4.2.3.GA',
    :dcm4chee_arr_basedir => '/usr/local/dcm4chee-arr-3.0.11-mysql',
    :require              => 'File[/usr/local]',
    :before               => 'Class[Dcm4chee::Jai_imageio]'
  )}

  it { should contain_class('dcm4chee::jai_imageio').with(
    :prefix           => '/usr/local',
    :dcm4chee_basedir => '/usr/local/dcm4chee-2.17.1-mysql',
    :require          => 'File[/usr/local]'
  )}
end
